Prolifto
API reference

Billboards

Storefront homepage slides

Create

POST
/billboards/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billboards/create" \  -H "Content-Type: application/json" \  -d '{    "imageUrl": "string",    "categorySlug": "string"  }'
{}

Delete

POST
/billboards/delete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billboards/delete" \  -H "Content-Type: application/json" \  -d '{    "mediaId": "string",    "mediaKey": "string"  }'
{}

Reorder

POST
/billboards/reorder

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billboards/reorder" \  -H "Content-Type: application/json" \  -d '{    "orderedMediaIds": [      "string"    ]  }'
{}

Update

POST
/billboards/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billboards/update" \  -H "Content-Type: application/json" \  -d '{    "mediaId": "string"  }'
{}